{ CLR-ATTR.INC  Video attribute control routines for Color systems.
                Replace STD-ATTR.INC with this file and recompile
                to create a color version. Note that if TSCREENs
                created with the monochrome version (.TSM) are to
                be used they must be renamed to .TSC files. Type
                ren *.TSM *.TSC at the DOS level to rename all the
                files at once. }

const  REVERSE_VID = $1F;  { Reverse video attribute }
                           { Intense White on Blue }
       BRIGHT_VID  = $70;  { Normal video attribute }
                           { Black on Grey. }
       DIM_VID     = $71;  { Low video attribute }
                           { Blue on Grey. }
       BLINK_VID   = $F1;  { Blinking Video attribute }
                           { Blinking Blue on Grey. }

       NORM_BGND   = WHITE;
       REV_BGND    = BLUE;
       NORM_FGND   = BLACK;
       DIM_FGND    = BLUE;
       BLINK_FGND  = $1F;

       SCR_EXT     = '.TSC'; { File exetension for color screens.}
       VID_SEG     = $B800;  { Segment address of video memory.}
       VID_OFFS    = $0000;  { Offset address of video memory. }

var    vid_attr : Byte;

  procedure Norm_Video;
    begin
      vid_attr := BRIGHT_VID;
      TextColor(NORM_FGND); TextBackground(NORM_BGND);
    end; { Norm_Video }

  procedure Low_Video;
    begin
      vid_attr := DIM_VID;
      TextColor(DIM_FGND); TextBackground(NORM_BGND);
    end; { Low_Video }

  procedure Blink_Video;
    begin
      vid_attr := BLINK_VID;
      TextColor(BLINK_FGND); TextBackground(REV_BGND);
    end { Blink_Video };

  procedure Rev_Video;
    begin
      vid_attr := REVERSE_VID;
      TextColor(NORM_BGND); TextBackground(REV_BGND);
    end { Rev_Video };
