{ DEMO-CTV.INC Global types and variables unique to the CDS system }

const ADD_REC    = #59; { F1 key }
      UPDT_REC   = #61; { F3 key }
      SLCT_FLD   = #62; { F4 key }
      DEL_REC    = #65; { F6 key }

      ADD_SET    : Any_Char = [PREV_FLD,ALT_PREV];
      DEL_SET    : Any_Char = [ALT_DEL,DEL_CHAR];
      UPDT_SET   : Any_Char = [CUR_LEFT,ALT_LEFT,CUR_RIGHT,ALT_RIGHT];
      ACPT_SET   : Any_Char = [ACCEPT];
      CANCEL_SET : Any_Char = [ESC];
      HELP_SET   : Any_Char = [HELP];


type Str_4          = string[4];

     Zip_Code       = record
                        zip1   : Str_5;
                        zip2   : Str_4;
                      end;

     Phone_No       = record
                        area,
                        prefix,
                        number : Integer;
                      end;

      Address_Rec  = record
                       attn   : Str_30;
                       addr   : Str_30;
                       city   : Str_20;
                       state  : Str_2;
                       zip1   : Str_5;
                       zip2   : Str_4;
                     end;

      Demo_Record  = record
                       name   : Str_30;
                       addr   : Address_Rec;
                       phone  : Phone_No;
                     end;

var   demo              : Demo_Record;
      demo_file         : File of Demo_Record;
      num_str           : Str_20;
      current_selection : Integer;