{ STD-ATTR.INC  Video attribute control routines system. }

const  REVERSE_VID = $70;    { Reverse video attribute }
                             { Black on White }
       BRIGHT_VID  = $0F;    { Normal video attribute }
                             { Intense White on Black }
       DIM_VID     = $07;    { Low video attribute }
                             { Dim White on Black }
       BLINK_VID   = $8F;    { Blinking Video attribute }
                             { Blinking White on Black. }
       NORM_BGND   = BLACK;
       REV_BGND    = WHITE;
       NORM_FGND   = WHITE;
       DIM_FGND    = LIGHTGRAY;
       BLINK_FGND  = $10;

       SCR_EXT     = '.TSM'; { File exetension for mono screens.}
       VID_SEG     = $B000;  { Segment address of video memory.}
       VID_OFFS    = $0000;  { Offset address of video memory. }

var    vid_attr : Byte;

  procedure Norm_Video;
    begin
      vid_attr := BRIGHT_VID;
      TextColor(NORM_FGND); TextBackground(NORM_BGND);
    end; { Norm_Video }

  procedure Low_Video;
    begin
      vid_attr := DIM_VID;
      TextColor(DIM_FGND); TextBackground(NORM_BGND);
    end; { Low_Video }

  procedure Blink_Video;
    begin
      vid_attr := BLINK_VID;
      TextColor(BLINK_FGND); TextBackground(REV_BGND);
    end { Blink_Video };

  procedure Rev_Video;
    begin
      vid_attr := REVERSE_VID;
      TextColor(NORM_BGND); TextBackground(REV_BGND);
    end { Rev_Video };
